Package org.eclipse.microprofile.config.tck.converters.implicit

# Class ConvTestSequenceValueOfBeforeParse

java.lang.Object
org.eclipse.microprofile.config.tck.converters.implicit.ConvTestSequenceValueOfBeforeParse

public class ConvTestSequenceValueOfBeforeParse extends Object
Part of the implicit Converter test. Sample class which has a parse(CharSequence) and valueOf(String) method. The method valueOf(String) should be used instead of the parse(Charsequence) method.

Author:
  Emily Jiang

## Constructor Summary

Constructors
Constructor
Description
`ConvTestSequenceValueOfBeforeParse()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getVal()`
`static ConvTestSequenceValueOfBeforeParse`
`parse(CharSequence val)`
`static ConvTestSequenceValueOfBeforeParse`
`valueOf(String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvTestSequenceValueOfBeforeParse

public ConvTestSequenceValueOfBeforeParse()

## Method Details

### parse

public static ConvTestSequenceValueOfBeforeParse parse(CharSequence val)

### valueOf

public static ConvTestSequenceValueOfBeforeParse valueOf(String val)

### getVal

public String getVal()